'cd "C:\Documents and Settings\Hall\My Documents\My Dropbox\Mortgages\Single lender\Matlab, excel, EViews"
cd "C:\Documents and Settings\Hall\My Documents\My Dropbox\HK paper\New version\Matlab"
!nMesh=9
!Nob=1035
!Nvar=15
wfcreate(bootstrap) u !Nob
!Nrep=101
matrix(!Nob,!Nvar)BootData
matrix(!Nob,!Nvar) data
data.read "Barg data.xls"
series wage
series bargain
series AfAm
series latino 
series woman
series edlow
series edsomecoll
series edcoll
series edgrad
series union
series gov
series nonprofit
series exper
series age
series onjob
group vars wage bargain AfAm  latino  woman edlow edsomecoll edcoll  edgrad union gov nonprofit exper age onjob
!loc=0
for !rep =1 to !Nrep
scalar q=0
matrix(!nMesh*!Nrep,!Nvar-1) coeffs0
matrix(!nMesh*!Nrep,!Nvar-1) coeffs1
for !obs=1 to !Nob
!use=!obs
if !rep>1 then
!use=@ceiling(@runif(0,1)*!Nob)
endif
for !var=1 to !Nvar
BootData(!obs,!var)=data(!use,!var)
next
next
smpl 1 !Nob
mtos(BootData,vars)
for !i=1 to !nMesh
!loc=!loc+1
q=q+1/(!nMesh+1)
smpl if bargain=0
equation qreg_eq.qreg(quant=q)  wage AfAm  latino  woman edlow edsomecoll edcoll  edgrad union gov nonprofit exper age onjob c
for !j=1 to !Nvar-1
coeffs0(!loc,!j)=c(!j)
next 
smpl if bargain=1
equation qreg_eq.qreg(quant=q)  wage AfAm  latino  woman edlow edsomecoll edcoll  edgrad union gov nonprofit exper age onjob c
for !j=1 to !Nvar-1
coeffs1(!loc,!j)=c(!j)
next 
next
next

coeffs0.write(b2) "Bootstrap results from EViews.xls"
coeffs1.write(b104) "Bootstrap results from EViews.xls"
